Package org.apache.sysds.runtime.lineage

## Class LineageCodegenItem

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageCodegenItem

    public class LineageCodegenItem
    extends Object

### Constructor Summary

Constructors
`LineageCodegenItem()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LineageItem` `getCodegenLTrace​(String classname)`
`static void` `reset()`
`static LineageItem` `setCodegenLTrace​(String classname, LineageItem li)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageCodegenItem

    public LineageCodegenItem()

### Method Detail

#### reset

    public static void reset()

#### setCodegenLTrace

    public static LineageItem setCodegenLTrace​(String classname,
                                               LineageItem li)

#### getCodegenLTrace

    public static LineageItem getCodegenLTrace​(String classname)